/*
 Theme Name:   astra-child
 Description:  Child theme of astra
 Author:       bwa
 Template:     astra
 Version:      1.0.0
*/

/*
--------------------------------------
réglages Astra
--------------------------------------
*/

.ast-container {
	max-width: 100%;
	margin: unset;
	padding: unset;
}

.ast-separate-container #content .ast-container {
	padding: 0;
}

/*
--------------------------------------
custom Template
--------------------------------------
*/

.content-container {
	width: 100%;
}

/*
--------------------------------------
elements
--------------------------------------
*/

body {
	font-family: var(--e-global-typography-primary-font-family), sans-serif;
}

ul {
	list-style-type: none;
	margin: 0;
}

.entry-content ul {
	list-style-type: disc;
	margin-left: 1em;
}

p {
	margin-bottom: 0;
}

/*
--------------------------------------
btns
--------------------------------------
*/

.btn-primary {
	display: flex;
	align-items: center;
	font-family: var(--e-global-typography-primary-font-family), sans-serif;
	font-size: 16px;
	font-weight: 400;
	gap: 15px;
	background-color: transparent;
	color: #fff;
	border: 1px solid #fff;
	border-radius: 50px;
	line-height: 28px;
	height: 47px;
	padding: 12px 22px;
}

.btn-primary:hover,
.btn-primary:focus {
	color: #fff;
}

.btn-primary svg {
	transition: all 0.35s ease-in-out;
}

.btn-primary:hover svg {
	rotate: 43deg;
}

.btn-secondary {
	background-color: var(--e-global-color-secondary);
	color: #fff;
	border: 1px solid var(--e-global-color-secondary);
	border-radius: 50px;
	padding: 4px 6px;
}

.btn-secondary:hover,
.btn-secondary:focus {
	background-color: #fff;
	color: var(--e-global-color-secondary);
	border: 1px solid var(--e-global-color-secondary);
}

.btn-tertiary {
	position: relative;
	overflow: hidden;
	display: flex;
	align-items: center;
	gap: 15px;
	background: transparent;
	color: var(--e-global-color-secondary);
	box-shadow: none;
	transition: all 0.35s ease-in-out;
	padding: 0;
	padding-left: 12px;
}

.btn-tertiary .btn-label {
	display: inline-block;
	transition: transform 0.3s ease;
	text-decoration: underline;
	line-height: 0;
}

.btn-tertiary .btn-icon {
	opacity: 0;
	transform: translateX(0.5rem);
	transition: opacity 0.3s ease, transform 0.3s ease;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 1.5rem;
	height: 1.5rem;
	border: 1px solid white;
	border-radius: 50%;
}

.btn-tertiary:hover .btn-label {
	transform: translateX(0.4rem);
}

.btn-tertiary:hover .btn-icon {
	opacity: 1;
	transform: translateX(0);
}

/*
--------------------------------------
col gradient
--------------------------------------
*/

.col-gradient {
	background: linear-gradient(103deg, #011030 33.51%, #00184C 100%);
}

/*
--------------------------------------
contact forms
--------------------------------------
*/

@media (min-width: 764px){
	.col-contact-form {
		position: sticky !important;
		top: 110px;
	}
}

.col-contact-form {
	background: linear-gradient(103deg, #011030 33.51%, #00184C 100%);
}

.col-contact-form .forminator-custom-form {
	font-family: var(--e-global-typography-b4fc0da-font-family);
}

.col-contact-form .forminator-row:has(.forminator-button-submit) .forminator-field {
	display: flex;
	justify-content: center;
}

/*reste du style depuis le back office > forminator > apparence > css personnalisé*/

/*
--------------------------------------
btns
--------------------------------------
*/

.shop-page-our-products .section-text__description-container {
	display: none;
}

/*
--------------------------------------
linkedIn embed
--------------------------------------
*/

#masking-section {
	position: absolute;
	z-index: 100000000000 !important;
	bottom: 100px;
	left: 0;
	width: 100%;
	background-color: #F0F0FA !important;
}
